net.sourceforge.pmd.lang.java.symboltable

## Class VariableUsageFinderFunction

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.VariableUsageFinderFunction

All Implemented Interfaces:
  UnaryFunction<VariableNameDeclaration>

    public class VariableUsageFinderFunction
    extends Object
    implements UnaryFunction<VariableNameDeclaration>

### Constructor Summary

Constructors
Constructor and Description
`VariableUsageFinderFunction(Map<VariableNameDeclaration,List<NameOccurrence>> decls)`

### Method Summary

Methods
`void` `applyTo(VariableNameDeclaration o)`
`Map<VariableNameDeclaration,List<NameOccurrence>>` `getUsed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VariableUsageFinderFunction

    public VariableUsageFinderFunction(Map<VariableNameDeclaration,List<NameOccurrence>> decls)

### Method Detail

#### applyTo

    public void applyTo(VariableNameDeclaration o)

Specified by:
  `applyTo` in interface `UnaryFunction<VariableNameDeclaration>`

#### getUsed

    public Map<VariableNameDeclaration,List<NameOccurrence>> getUsed()